These docs are for v2.2023.0401. Click to read the latest docs for v2.2026.0101.

Retrieve Receipts Summary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Minimum Plan Required: Comp

Filter Parameter Restrictions

ParameterTypeDescription
receipt_date[gte]ISO8601 Format Date time.receipt_date[gte] cannot be greater than 90 days in the past. If the value is greater than 90 days in the past a 400 error will be returned.
receipt_date[lte]ISO8601 Format Date time.Limit the range of to 31 days. Either:
  • the receipt_date[gte] should be less than 31 days ago or
  • The range between receipt_date[gte] and receipt_date[gte] should be less than 31 days.
modified_sinceISO8601 Format Date time.

modified_since cannot be greater than 90 days in the past. f the value is greater than 90 days in the past a 400 error will be returned.

Receipts with a receipt_date greater than 90 days in the past will not be included in the result set.

Sample Response

{
    "data": [
        {
            "date": "2023-01-18",
            "closed": {
                "receipts": 83,
                "net_total": 187490,
                "gross_total": 198352,
                "tips_total": 0,
                "receipt_discounts": 0
            }
        },
        {
            "date": "2023-01-19",
            "closed": {
                "receipts": 115,
                "net_total": 284139,
                "gross_total": 290357,
                "tips_total": 0,
                "receipt_discounts": 0
            }
        }
    ]
}
Path Params
int64
required

Company ID

Query Params
int64
required

Location ID

date-time

Return receipts that were created on or after a specific date. Limit to 31-day range with receipt_date[lte].

date-time

Return receipts that were created on or before a specific date. Limit to 31-day range with receipt_date[gte].

date-time

Return receipts that were modified on or after a specific date. Limited to past 30 days.

Headers
string
^\d{4}-\d{2}-\d{2}$

7shifts API version

uuid

Company GUID

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json